> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/get_block_rfq_trades

> Returns a list of recent Block RFQ trades. Can be optionally filtered by currency.

This is a public method that provides market data about completed Block RFQ trades. For private Block RFQ information, use [private/get_block_rfqs](https://docs.deribit.com/api-reference/block-rfq/private-get_block_rfqs).

**📖 Related Article:** [Deribit Block RFQ API walkthrough](https://docs.deribit.com/articles/block-rfq-api-walkthrough)

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_block_rfq_trades)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /public/get_block_rfq_trades
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /public/get_block_rfq_trades:
    get:
      tags:
        - Block RFQ
        - Public
      description: >+
        Returns a list of recent Block RFQ trades. Can be optionally filtered by
        currency.


        This is a public method that provides market data about completed Block
        RFQ trades. For private Block RFQ information, use
        [private/get_block_rfqs](https://docs.deribit.com/api-reference/block-rfq/private-get_block_rfqs).


        **📖 Related Article:** [Deribit Block RFQ API
        walkthrough](https://docs.deribit.com/articles/block-rfq-api-walkthrough)


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_block_rfq_trades)

      parameters:
        - description: The currency symbol or `"any"` for all
          in: query
          name: currency
          required: true
          schema:
            $ref: '#/components/schemas/currency_with_any'
        - description: >-
            Continuation token for pagination. Consists of `timestamp` and
            `block_rfq_id`.
          in: query
          name: continuation
          required: false
          schema:
            example: '1738050297271:103'
            type: string
        - description: Count of Block RFQs returned, maximum - `1000`
          in: query
          name: count
          required: false
          schema:
            maximum: 1000
            minimum: 1
            type: integer
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 1
                  jsonrpc: '2.0'
                  method: public/get_block_rfq_trades
                  params:
                    currency: BTC
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicGetBlockRfqTradesResponse'
components:
  schemas:
    currency_with_any:
      description: Currency name or `"any"` if don't care
      enum:
        - BTC
        - ETH
        - USDC
        - USDT
        - EURR
        - any
      type: string
    PublicGetBlockRfqTradesResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          properties:
            block_rfqs:
              items:
                properties:
                  amount:
                    description: >-
                      This value multiplied by the ratio of a leg gives trade
                      size on that leg.
                    type: number
                  combo_id:
                    $ref: '#/components/schemas/combo_id'
                  direction:
                    $ref: '#/components/schemas/direction'
                    description: Trade direction of the taker
                  hedge:
                    $ref: '#/components/schemas/block_rfq_hedge_leg'
                  id:
                    description: ID of the Block RFQ
                    type: integer
                  index_prices:
                    description: >-
                      A map of index prices for the underlying instrument(s) at
                      the time of trade execution, where keys are price index
                      names and values are prices.
                    type: object
                  legs:
                    $ref: '#/components/schemas/leg_structure'
                  mark_price:
                    description: Mark Price at the moment of trade
                    type: number
                  timestamp:
                    $ref: '#/components/schemas/trade_timestamp'
                  trades:
                    items:
                      properties:
                        amount:
                          description: >-
                            Trade amount. For options, linear futures, linear
                            perpetuals and spots the amount is denominated in
                            the underlying base currency coin. The inverse
                            perpetuals and inverse futures are denominated in
                            USD units.
                          type: number
                        direction:
                          $ref: '#/components/schemas/direction'
                        hedge_amount:
                          description: >-
                            Amount of the hedge leg. For linear futures, linear
                            perpetuals and spots the amount is denominated in
                            the underlying base currency coin. The inverse
                            perpetuals and inverse futures are denominated in
                            USD units.
                          type: number
                        price:
                          $ref: '#/components/schemas/price'
                      type: object
                    type: array
                type: object
              type: array
            continuation:
              $ref: '#/components/schemas/block_rfq_trade_tape_continuation'
          type: object
      required:
        - jsonrpc
        - result
      type: object
    combo_id:
      description: Unique combo identifier
      example: BTC-FS-31DEC21-PERP
      type: string
    direction:
      description: 'Direction: `buy`, or `sell`'
      enum:
        - buy
        - sell
      type: string
    block_rfq_hedge_leg:
      properties:
        amount:
          description: >-
            It represents the requested hedge leg size. For perpetual and
            inverse futures the amount is in USD units. For options and linear
            futures it is the underlying base currency coin.
          type: integer
        direction:
          description: 'Direction: `buy`, or `sell`'
          enum:
            - buy
            - sell
          type: string
        instrument_name:
          description: Unique instrument identifier
          example: BTC-PERPETUAL
          type: string
        price:
          description: Price for a hedge leg
          type: number
      type: object
    leg_structure:
      items:
        properties:
          direction:
            description: 'Direction: `buy`, or `sell`'
            enum:
              - buy
              - sell
            type: string
          instrument_name:
            description: Unique instrument identifier
            example: BTC-PERPETUAL
            type: string
          price:
            description: Price for a leg
            type: number
          ratio:
            description: Ratio of amount between legs
            type: integer
        type: object
      type: array
    trade_timestamp:
      description: The timestamp of the trade (milliseconds since the UNIX epoch)
      example: 1517329113791
      type: integer
    price:
      description: Price in base currency
      type: number
    block_rfq_trade_tape_continuation:
      description: >-
        Continuation token for pagination. `NULL` when no continuation. Consists
        of `timestamp` and `block_rfq_id`.
      example: '1738050297271:103'
      type: string
  responses:
    PublicGetBlockRfqTradesResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 1
                jsonrpc: '2.0'
                result:
                  block_rfqs:
                    - amount: 12.5
                      combo_id: BTC-CS-28FEB25-100000_106000
                      direction: sell
                      hedge:
                        amount: 50
                        direction: sell
                        instrument_name: BTC-PERPETUAL
                        price: 96000
                      id: 6611
                      index_prices:
                        btc_usd: 96000
                        btc_usdc: 95950
                      legs:
                        - direction: buy
                          instrument_name: BTC-28FEB25-100000-C
                          price: 0.1
                          ratio: 1
                        - direction: sell
                          instrument_name: BTC-28FEB25-106000-C
                          price: 0.05
                          ratio: 1
                      mark_price: 0.010356754
                      timestamp: 1739803305362
                      trades:
                        - amount: 12.5
                          direction: sell
                          hedge_amount: 50
                          price: 0.05
                    - amount: 12.5
                      combo_id: BTC-CS-28FEB25-100000_106000
                      direction: sell
                      hedge:
                        amount: 50
                        direction: sell
                        instrument_name: BTC-PERPETUAL
                        price: 96000
                      id: 6600
                      index_prices:
                        btc_usd: 96000
                        btc_usdc: 95950
                      legs:
                        - direction: buy
                          instrument_name: BTC-28FEB25-100000-C
                          price: 0.1
                          ratio: 1
                        - direction: sell
                          instrument_name: BTC-28FEB25-106000-C
                          price: 0.05
                          ratio: 1
                      mark_price: 0.007458089
                      timestamp: 1739774397766
                      trades:
                        - amount: 12.5
                          direction: sell
                          hedge_amount: 50
                          price: 0.05
                    - amount: 12.5
                      combo_id: BTC-CS-17FEB25-89000_90000
                      direction: sell
                      id: 6579
                      legs:
                        - direction: buy
                          instrument_name: BTC-17FEB25-89000-C
                          price: 0.08
                          ratio: 1
                        - direction: sell
                          instrument_name: BTC-17FEB25-90000-C
                          price: 0.075
                          ratio: 1
                      mark_price: 0.010314468
                      timestamp: 1739743922308
                      trades:
                        - amount: 12.5
                          direction: sell
                          price: 0.005
                  continuation: '1739739009234:6570'
          schema:
            $ref: '#/components/schemas/PublicGetBlockRfqTradesResponse'
      description: Success response

````